This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 177037 - Review Request: perl-Clone : Recursively copy perl datatypes
Review Request: perl-Clone : Recursively copy perl datatypes
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ralf Corsepius
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-01-05 12:14 EST by Tom "spot" Callaway
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-08 12:17:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
proposed patch (711 bytes, patch)
2006-01-06 01:23 EST, Ralf Corsepius
no flags Details | Diff

  None (edit)
Description Tom "spot" Callaway 2006-01-05 12:14:33 EST
Spec Name or Url: http://www.auroralinux.org/people/spot/review/perl-Clone.spec
SRPM Name or Url: http://www.auroralinux.org/people/spot/review/perl-Clone-0.18-1.src.rpm
Description: 
This module provides a clone() method which makes recursive
copies of nested hash, array, scalar and reference types,
including tied variables and objects.

clone() takes a scalar argument and an optional parameter that
can be used to limit the depth of the copy. To duplicate lists,
arrays or hashes, pass them in by reference.

NOTE: This module is a new BuildRequires for perl-Class-DBI.
Comment 1 Ralf Corsepius 2006-01-06 01:23:13 EST
Created attachment 122861 [details]
proposed patch
Comment 2 Ralf Corsepius 2006-01-06 01:25:11 EST
NEEDSWORK:
1. CFLAGS handling in %build
2. Remove *.bs

C.f. the attachment.
Comment 4 Ralf Corsepius 2006-01-06 10:59:04 EST
APPROVED

Note You need to log in before you can comment on or make changes to this bug.